<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

  if (!defined('BASEDIR')) {
    include_once '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'classes' . DIRECTORY_SEPARATOR . 'constants.php';
  }

  
  
  
  

  
  class MenuEinstellTool1 extends MenuEinstell
  {
    public $file = 'writecolumnstool1.php';

    
    protected function _getSights()
    {
      $result = array();

      $sightIds = array(
            1 => 'Kursübersicht',
            2 => 'Reiter Kursdetails',
            3 => 'Reiter Teilnehmer',
            4 => 'Reiter Termine',
          226 => 'Anwesenheitskontrolle',
          237 => 'Druck von Teilnehmerlisten',
          246 => 'Druck von Listen',
          247 => 'Druck von Honorarlisten',
          248 => 'Druck von Grafiken',
          249 => 'Druck von Verträgen',
          
          317 => 'Reiter Inhalt',
          318 => 'Reiter Downloads',
          320 => 'Reiter Honorar',
          321 => 'Reiter Honorar - Journal',
          334 => 'Reiter zu einem Kurs'
          );

      foreach ($sightIds as $sightId => $description) {
        $result[] = $this->_createSightObj($sightId, \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ, $description);
      }

      return $result;
    }

    public function mainmenu($pEinstieg, $editid, $p_sightid)
    {
      
      if ($pEinstieg == 1) {
        $this->getUebersichtEinstell(SessionOperations::getVarValueIntern('menutext'));
      } else { 

        echo"
        <table border='0' cellpadding='0' cellspacing='5' height='100%' width='100%'>
          <tr>
            <td valign='top' width='100%' height='5%'>
              <p align='right'><font id='text_basys_webtools'>" . KUFERTOOLS . '</font></p>
            </td>
          </tr>
        </table>
        ';

        $curr_caption = $this->_getSightDescription($p_sightid);

        switch ($p_sightid) {
          case 1: 


            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_KURSUEBERSICHT_DOZ);

            $arycheck = $this->getArrayCheck4Kurse($objsettings);


              echo '<h2>Einstellungen zum Tool "meine Kurse" für Dozenten - Kursübersicht -</h2>';
            echo $this->getStandardEinstellFormHeader(\ToolsAPI::TOOL_KURSUEBERSICHT_DOZ, 'uebersicht_doz', $p_sightid);

            echo "  
             <table border='0' cellpadding='0' cellspacing='0'>
              <tr>
                <td width='85%' valign='top' height='19'>
                  <font class='text_main_menu'><b>angezeigte Kurse pro Seite: </b></font>";
            echo HTMLOperations::CreateInputTagPlusMinus('kurseproseite', '', 'bigger-null', $objsettings->kurseproseite, 'size="3"  maxlength="3"') . BR_WT . BR_WT;
            echo '</td>
              </tr>';
            echo $this->getKursSortierungSubMenu($arycheck);
            echo "<tr>
                <td width='85%' height='19' valign='top'>
                  <font class='text_main_menu'><b>Kurse folgender Semester anzeigen:</b> (es können auch mehrere Semester gewählt werden)</font>" . BR_WT;
            $tool0Settings = ToolSettingsAPI::getToolSettings(0);
            $preFilterKurs = $this->getPrefilters4Kurs(false, $tool0Settings, $objsettings);
            $allgPreFilterKurs = $this->getPrefilters4Kurs(true, $tool0Settings, $objsettings);
            
            echo $this->getSemester4SingleTool($objsettings->semlist, $tool0Settings->semlist, $objsettings->useAbweichendeSemester, true, $objsettings->keineAusgefallenenKurse, true, $preFilterKurs, $allgPreFilterKurs);
            echo "</td>
              </tr>\n";
            $checked = '';
            if ($objsettings->notShowAbgeschlosseneKurse) {
              $checked = 'checked="checked"';
            }
            echo
               '<tr>
                 <td style="width:85%; height:19px; vertical-align:top;">' . "\n" . BR_WT
                   . '<input type="checkbox" ' . $checked . ' name="notShowAbgeschlosseneKurse" id="showAbschluss">' . "\n"
                   . '<label for="showAbschluss"> abgeschlossene Kurse <b>NICHT</b> anzeigen</label>'
                . '</td>' . "\n"
               . '</tr>' . "\n"
               . '<tr>
                 <td>' . BR_WT
                 . $this->_getSettings4MinTnRequired($objsettings->showTnNurWennMinTn, 'Reiter Teilnehmer', $objsettings->tnDatenAusblendenNachKursEnde, $objsettings->showTnTrotzMinTnWennKursstatusLaeuft)
                 . '</td>
                </tr>';
            echo '
              <tr>
                <td>' . BR_WT
                  . $this->_getSettings4PDFInfo(
                    $objsettings->enableDozHatListeGedrucktButton,
                    $objsettings->dozHatListeGeduruckt_beschriftung,
                    $objsettings->dozHatListeGeduruckt_beschreibung,
                    $objsettings->dozHatListeGeduruckt_email,
                    $objsettings->dozHatListeGedruckt_uebertragungper
                  )
                . '</td>
              </tr>';

            echo '<tr>
                <td>' . BR_WT

                 . $this->_getButtonDozText($objsettings)

            . '</td></tr>'

              . '<tr>
                <td>' . BR_WT . "
                  <input type='image' title='Speichern' src='layout/button_save.gif' border='0'>" . BR_WT . BR_WT . '
                </td>
              </tr>
             </table>';
            echo '</form>';

              echo '<hr><h2>Layout-Einstellungen zum Tool "meine Kurse" für Dozenten - Kursübersicht -</h2>';

            $this->_configureSight($p_sightid, new SightConfiguratorUebersicht($p_sightid, 790, 80));
            break;

          case 2: 

            echo '<h2>Einstellungen für die Anzeige des Kurses</h2>';

            $this->_configureSight($p_sightid, new SightConfiguratorUebersicht($p_sightid, 771, 375));
            break;

          case 3: 

            $this->mainmenuTop($curr_caption, \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ, $p_sightid, $this->file); 
            $this->mainmenuCenter(\ToolsAPI::TOOL_KURSUEBERSICHT_DOZ, $editid, $p_sightid, $this->file);    

             
            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_KURSUEBERSICHT_DOZ);
            $this->file = 'writecolumnstool1.php';

            $tnEinstellungen
                    = '<div>'
                      . '<label for="sendMail2Dozent" class="text_main_menu bold">Kopie von E-Mails an Teilnehmer auch an den Dozenten versenden:</label>'
                      . $this->getInfoPopUp('Beim Versenden von Sammel E-Mails an die Teilnehmer des Dozenten wird damit zusätzlich eine Nachricht an die '
                            . ' E-Mail Adresse des Dozenten gesendet.', 'Info')
                      . HTMLOperations::CreateInputTag('sendMail2Dozent', 'checkbox', 'sendMail2Dozent', '', '1', '', $objsettings->sendMail2Dozent)
                    . '</div>'
                    . '<div class="vhsmail">'
                    . '<label class="text_main_menu" for="sendMail2Einrichtung"><b>Kopie von E-Mails an Teilnehmer des Dozenten auch an die Schulungseinrichtung versenden:'
                   . '</b></label>'
                    . $this->getInfoPopUp('Beim Versenden von Sammel E-Mails an die Teilnehmer des Dozenten wird damit zusätzlich eine Nachricht an die '
                            . ' E-Mail Adresse der Schulungseinrichtung gesendet.', 'Info')
                    . '<input type="checkbox" id="sendMail2Einrichtung"  name="sendMail2Einrichtung"'
                            . ($objsettings->sendMail2Einrichtung ? ' checked="checked"' : '') . '>'
                    . '</div>'
                    . $this->createTextFieldForEmailAddress('vhsEmailTool1Section3', $objsettings->vhsEmailTool1Section3, true) . BR_WT
                    
                    . '<div>'
                      . '<label for="sendSms2Dozent" class="text_main_menu bold">Kopie der SMS an Teilnehmer auch an den Dozenten versenden:</label>'
                      . $this->getInfoPopUp('Beim Versenden einer Sammel SMS an die Teilnehmer des Dozenten wird damit zusätzlich eine SMS an den '
                            . ' Dozenten gesendet.', 'Info')
                      . HTMLOperations::CreateInputTag('sendSms2Dozent', 'checkbox', 'sendSms2Dozent', '', '1', '', $objsettings->sendSms2Dozent)
                    . '</div>' . BR_WT;

            $showTnNurWennMinTn = $this->_getSettings4MinTnRequired($objsettings->showTnNurWennMinTn, 'Kursübersicht', $objsettings->tnDatenAusblendenNachKursEnde, $objsettings->showTnTrotzMinTnWennKursstatusLaeuft);

            $checked = '';
            if ($objsettings->showTnPictures) {
              $checked = 'checked="checked"';
            }
            $weitereEinstellungen
                    = '<div>'
                    . '  <label class="text_main_menu" for="showTnPictures"><b>Zeige Teilnehmerbilder, wenn die Maus über Name oder Vorname steht:</b></label>'
                    . '  <input type="checkbox" id="showTnPictures" name="showTnPictures" ' . $checked . ' />' . BR_WT
                    . '</div><br />';

            $showTnNurWennMinTn .= $weitereEinstellungen;
            $tnEinstellungen .= $showTnNurWennMinTn;

            
            
            $defaultStatus = '';
            $this->showSelectionForm(
              'tn',
              \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ,
              $p_sightid,
              $this->file,
              $objsettings,
              $objsettings->sorttnasc,
              $objsettings->tnstatus,
              $defaultStatus,
              $objsettings->colortnstatus,
              array('t.name', 'b.anm_datum'),
              true,
              false,
              true,
              $tnEinstellungen
            );

            echo "</tr><tr>  <td width='20%' valign='top'>" . BR_WT
                          . "<input type='image' title='Speichern' src='layout/button_save.gif' border='0'>
                        </td>
                      </tr>";
            echo '</table>';
            echo '</form>';

            break;

          case 4: 

            $this->mainmenuTop($curr_caption, \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ, $p_sightid, $this->file); 
            $this->mainmenuCenter(\ToolsAPI::TOOL_KURSUEBERSICHT_DOZ, $editid, $p_sightid, $this->file);    
            
            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_KURSUEBERSICHT_DOZ);
            $this->file = 'writecolumnstool1.php';
            
            
            $defaultStatus = '';
            $this->showSelectionForm(
              'kt',
              \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ,
              $p_sightid,
              $this->file,
              $objsettings,
              $objsettings->sortktasc,
              $objsettings->ktstatus,
              $defaultStatus,
              $objsettings->colorktstatus,
              'kt.datum',
              true,
              false,
              true,
              '',
              true,
              true,
              'Ziel-E-Mail-Adresse für Termin-Stornierungen:'
            );

                echo "</tr><tr>  <td width='20%' valign='top'>" . BR_WT
                          . "<input type='image' title='Speichern' src='layout/button_save.gif' border='0'>
                        </td>
                      </tr>";
                  echo '</table>';
            echo '</form>';

            break;

          case 226: 
            $toolEinstAllg = new ToolEinstellAllg();
            
            $toolEinstAllg->createEinstellForm4Anwesenheiten(\ToolsAPI::TOOL_KURSUEBERSICHT_DOZ, $p_sightid);
            break;
          case 237: 
              $mitAnwListeMitDozAnschrift = true;
              $tnlisten = new TNListen('hleinstell.php?sightid=' . CleanOperations::cleanInt($p_sightid) . '&tool=' . \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ, \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ, $p_sightid, true, false, -1, $mitAnwListeMitDozAnschrift);
              $tnlisten->show();
              break;
          case 246: 

              $drucklisten = new DruckListen('hleinstell.php?sightid=' . CleanOperations::cleanInt($p_sightid) . '&tool=' . \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ, \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ, $p_sightid, true);
              $drucklisten->show();
              break;
          case 247: 

              $drucklisten = new HonorarDruckListen('hleinstell.php?sightid=' . CleanOperations::cleanInt($p_sightid) . '&tool=' . \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ, \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ, $p_sightid, true);
              $drucklisten->show();
              break;
          case 248: 

              $drucklisten = new GrafikDruckListen('hleinstell.php?sightid=' . CleanOperations::cleanInt($p_sightid) . '&tool=' . \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ, \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ, $p_sightid, true);
              $drucklisten->show();
              break;
          case 249: 

              $drucklisten = new OtherDruckListen('hleinstell.php?sightid=' . CleanOperations::cleanInt($p_sightid) . '&tool=' . \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ, \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ, $p_sightid, true);
              $drucklisten->show();
              break;
          case 256: 

            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_KURSUEBERSICHT_DOZ);
            echo $this->noSettingsWithText(
              'Um das Layout der Anmeldungsbest&auml;tigung zu bearbeiten, verwenden Sie bitte das Zusatzprogramm '
              . 'WEB-SightEdit, welches Sie zusammen mit den ' . KUFERTOOLS . ' erhalten haben. '
              . 'Diese Ansicht ist unter der Nummer ' . CleanOperations::cleanInt($p_sightid) . ' zu finden. '
            );
            echo
            "<form action='writecolumnstool1.php' method='POST'>
             <input type='hidden' value='Anm_Best' name='art'>
             <input type='hidden' value='1' name='tool'>
             <input type='hidden' value='" . CleanOperations::cleanInt($p_sightid) . "' name='sightid'>
             <table border='0' width='100%'>
              <tr>
                <td width='85%' valign='top' height='19'>
                  <font class='text_main_menu'><b>Anmeldungsbest&auml;tigung/-info an den Teilnehmer versenden:</b></font>
                  <input type='checkbox' name='sendInfoMail' value='1' " . (($objsettings->sendInfoMail) ? 'checked=checked' : '') . "' size='3'>" . BR_WT . BR_WT . BR_WT . "
                </td>
              </tr>
             </table>
             <input type='image' title='Speichern' src='layout/button_save.gif' border='0'>
           </form>";
            break;

          case 317: 
            echo $this->getSettings4ReiterInhalt(\ToolsAPI::TOOL_KURSUEBERSICHT_DOZ, $p_sightid);
            break;
          case 318: 
            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_KURSUEBERSICHT_DOZ);
            
            $mailSettings = array();
            $mailSettings['uploadInfoMailAnVerwMa'] = $objsettings->uploadInfoMailAnVerwMa;
            $mailSettings['uploadInfoMailAnPlanMa'] = $objsettings->uploadInfoMailAnPlanMa;
            
            $mailSettings['showEmailInputField'] = true;
            $mailSettings['sendMailOnly4FreigabeMA'] = $objsettings->sendMailOnly4FreigabeMA;

            echo $this->getSettings4ReiterDownload(\ToolsAPI::TOOL_KURSUEBERSICHT_DOZ, $p_sightid, $mailSettings);

            echo '<h2>Einstellungen für die Anzeige der Downloads</h2>' . BR_WT;
              $allgsettings = AllgSettingsAPI::getAllgSettings();
              if (SessionOperations::isReplikat() && !$allgsettings->dmzEnabled) {
                $message = $this->getDMZHinweis4DokuDownload();
                echo $this->getHinweis4DMZ($message['messageComplete'], $message['messageShort']);
              }

            $this->_configureSight($p_sightid, new SightConfiguratorUebersicht($p_sightid, 750, 100));

            break;
          case 320: 
            echo '<h2>Einstellungen für die Honoraranzeige</h2>' . BR_WT;
            echo $this->noSettingsWithText(
              'Fahrtkosten und Spesen werden nur ausgegeben, wenn größer 0. ' . BR_WT
              . 'Falls nur das Honorar angegeben ist, wird auf die Ausgabe der Summe verzichtet. ' . BR_WT
              . 'Falls keine Fahrtkosten angegeben sind, entfallen die ensprechenden Spalten/Titel. '
            ) . BR_WT . BR_WT;
            echo $this->getSettings4ReiterHonorar(\ToolsAPI::TOOL_KURSUEBERSICHT_DOZ, $p_sightid);
            break;
          case 321: 
            $this->mainmenuTop($curr_caption, \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ, $p_sightid, $this->file); 
            $this->mainmenuCenter(\ToolsAPI::TOOL_KURSUEBERSICHT_DOZ, $editid, $p_sightid, $this->file);     
            break;
          case 334: 
            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_KURSUEBERSICHT_DOZ);
            $feedBackSettings = array();
            $feedBackSettings['stornoBenachrichtigungsMailAnVerwMa'] = $objsettings->stornoBenachrichtigungsMailAnVerwMa;
            $feedBackSettings['stornoBenachrichtigungsMailAnPlanMa'] = $objsettings->stornoBenachrichtigungsMailAnPlanMa;
            echo $this->getSettings4ReiterSeite(\ToolsAPI::TOOL_KURSUEBERSICHT_DOZ, $p_sightid, 'reiter_seite', $objsettings->reiterBeschriftung, '', $feedBackSettings, false, true);
            break;
        }
      }
    }

    
    protected function getSettings4ReiterDownload($pToolId, $pSightId, $pMailSettings = null, $pEndForm = true)
    {
      $objsettings = ToolSettingsAPI::getToolSettings($pToolId);

      $result = '<h2>Einstellungen zum Up- und Download von Dateien:</h2>' . BR_WT;
      $result .= $this->getStandardEinstellFormHeader($pToolId, 'upload', $pSightId);
      $result .= '<div class="text_main_menu" style="font-weight:bold; margin-bottom: 5px;">Einstellungen für das Hochladen von Dokumenten:</div>' . "\n";
      $result .= '<input type="radio"  name="freigabeDokuByMA" value="ma" ' . (($objsettings->freigabeDokuByMA == true) ? 'checked="checked"' : '') . '>
                  <label for="freigabeDokuByMA" class="text_main_menu">Jedes Dokument durch Mitarbeiter freigeben</label>';
      $result .= '<input type="radio" class="freigabeDokuByMA" name="freigabeDokuByMA" value="doz" ' . (($objsettings->freigabeDokuByMA == false) ? 'checked="checked"' : '') . '>
                  <label for="freigabeDokuByMA" class="text_main_menu">Dozent entscheidet, ob ein Mitarbeiter ein Dokument freigibt</label>' . BR_WT;

      $result .= '<br><div class="text_main_menu" style="font-weight:bold; margin-bottom: 5px;">Die Dozenten können Downloads für folgende Gruppen bereitstellen:</div>' . "\n";

      $downloadFuer = SerializeOperations::unserialize($objsettings->downloadFuer);
      $alleTnChecked = $tnMitLoginChecked = $tnImKursChecked = '';
      if (is_array($downloadFuer) && count($downloadFuer) > 0) {
        if (in_array(ToolKurseDozentSettings::DOWNLOAD_ALLE_TN, $downloadFuer)) {
          $alleTnChecked = 'checked="checked"';
        }
        if (in_array(ToolKurseDozentSettings::DOWNLOAD_TN_MIT_LOGIN, $downloadFuer)) {
          $tnMitLoginChecked = 'checked="checked"';
        }
        if (in_array(ToolKurseDozentSettings::DOWNLOAD_TN_IM_KURS, $downloadFuer)) {
          $tnImKursChecked = 'checked="checked"';
        }
      } else {
        $alleTnChecked = 'checked="checked"';
        $tnMitLoginChecked = 'checked="checked"';
        $tnImKursChecked = 'checked="checked"';
      }

      $result .= '<input type="checkbox" name="downloadFuer[]" id="downloadAlleTn" value="' . ToolKurseDozentSettings::DOWNLOAD_ALLE_TN . '" ' . $alleTnChecked . '>
                  <label for="downloadAlleTn" class="text_main_menu">Alle Teilnehmer (KuferWEB und KuferTools)</label>' . BR_WT;
      $result .= '<input type="checkbox" name="downloadFuer[]" id="downloadTnMitLogin" value="' . ToolKurseDozentSettings::DOWNLOAD_TN_MIT_LOGIN . '" ' . $tnMitLoginChecked . '>
                  <label for="downloadTnMitLogin" class="text_main_menu">Teilnehmer mit KuferTools-Login</label>' . BR_WT;
      $result .= '<input type="checkbox" name="downloadFuer[]" id="downloadTnImKurs" value="' . ToolKurseDozentSettings::DOWNLOAD_TN_IM_KURS . '" ' . $tnImKursChecked . '>
                  <label for="downloadTnImKurs" class="text_main_menu">Teilnehmer im Kurs und mit KuferTools-Login</label>' . BR_WT;

      
      $countMailSettings = count($pMailSettings);
      if ($countMailSettings > 0) {
        $result .= BR_WT . '<h2>Einstellungen für das Senden einer Benachrichtigungs E-Mail zum Hochladen von Dokumenten</h2>';
        $infoPopupSendMsg = 'Wenn dieser Haken gesetzt ist, wird eine E-Mail beim Hochladen von Dokumenten nur gesendet, falls für mindestens ein Dokument die '
                            . 'Freigabe durch einen Mitarbeiter benötigt wird. Andernfalls d.h. bei nicht gesetztem Haken wird die E-Mail immer geschickt, also auch '
                            . 'dann, wenn für kein Dokument eine Freigabe benötigt wird.';
        $result .= '<label for="sendMailOnly4FreigabeMA" class="text_main_menu">Nur senden, wenn der Mitarbeiter das Dokument freigeben muss:</label>'
                    . $this->getInfoPopUp($infoPopupSendMsg, 'Info')
                    . '<input type="checkbox" id="sendMailOnly4FreigabeMA" value="1" name="sendMailOnly4FreigabeMA"' . ($pMailSettings['sendMailOnly4FreigabeMA'] ? ' checked' : '') . '>'
                    . BR_WT;

        $infoPopupMsg = 'Wenn der Haken weder für den verwaltenden noch für den planenden Mitarbeiter gesetzt ist, erfolgt der Versand an die E-Mail '
                . 'Adresse der Schulungseinrichtung; ansonsten an die E-Mail Adresse des angehakten Mitarbeiters.';
        if (array_key_exists('uploadInfoMailAnVerwMa', $pMailSettings)) {
          $result .= '<font class="text_main_menu">Nachricht an den verwaltenden Mitarbeiter des Kurses versenden:</font>'
                      . $this->getInfoPopUp($infoPopupMsg, 'Info')
                      . '<input type="checkbox" value="1" name="uploadInfoMailAnVerwMa"' . ($pMailSettings['uploadInfoMailAnVerwMa'] ? ' checked' : '') . '>';
          $result .= BR_WT;
        }

        if (array_key_exists('uploadInfoMailAnPlanMa', $pMailSettings)) {
          $result .= '<font class="text_main_menu">Nachricht an den planenden Mitarbeiter des Kurses versenden:</font>'
                      . $this->getInfoPopUp($infoPopupMsg, 'Info')
                      . '<input type="checkbox" value="1" name="uploadInfoMailAnPlanMa"' . ($pMailSettings['uploadInfoMailAnPlanMa'] ? ' checked' : '') . '>';
          $result .= BR_WT;
        }

        if (array_key_exists('showEmailInputField', $pMailSettings)) {
          $vhsEmailTool = EmailOperations::getVarName4ToolEmailSetting($pToolId, $pSightId);
          $hinweis = 'Wenn der Haken weder für den verwaltenden noch für den planenden Mitarbeiter gesetzt ist, erfolgt der Versand an die angegebene '
                   . 'E-Mail Adresse. Ist das Feld leer, wird die Nachricht an die E-Mail-Adresse gesendet, die unter &quot;Allgemein / '
                   . 'Schulungseinrichtung / Ziel für E-Mails aus den KuferTools an die Schulungseinrichtung&quot; angegeben ist.';
          $result .= $this->createTextFieldForEmailAddress($vhsEmailTool, $objsettings->{$vhsEmailTool}, true, $hinweis, 'Ziel-E-Mail-Adresse:');
        }
      } 



      $result .= BR_WT . '<input type="image" title="Speichern" src="layout/button_save.gif" border="0">' . "\n";

      $result .= '</form>' . BR_WT;

      return $result;
    }

    
    protected function _getSettings4MinTnRequired($pShowTnNurWennMinTn, $pTextEbenfallsUnter, $pAnzTageNachKursEnde, $pShowTnTrotzMinTnWennKursstatusLaeuft)
    {
      $checked = ($pShowTnNurWennMinTn) ? 'checked="checked"' : '';

      $result = '<div>';
      $result .= '<h4>Teilnehmerdaten nur anzeigen, wenn die minimale Teilnehmeranzahl erreicht wurde: ';
      $result .= '<input type="checkbox" name="showTnNurWennMinTn" ' . $checked . '></h4>';

      $result .= '<span>';
      $result .= 'Falls der Kurs-Status auf "Kurs läuft" steht, werden Teilnehmerdaten trotz minimaler Teilnehmeranzahl angezeigt: ';
      $result .= '<input type="checkbox" name="showTnTrotzMinTnWennKursstatusLaeuft" ' . $this->_checked($pShowTnTrotzMinTnWennKursstatusLaeuft) . '></h4>';
      $result .= $this->getInfoPopUp('Der Kurs-Status kann in KuferSQL im Kursstamm auf der 3. Seite über den Button &quot;Kurs-Status ändern&quot; auf &quot;Kurs läuft&quot; gesetzt werden.', 'Kurs-Status ändern');
      $result .= '</span>';

      $result .= $this->getBeschraenkungTnDatenSetting($pAnzTageNachKursEnde, 'bold', '', 'h4');
      $result .= '<span>Diese beiden Einstellungen befinden sich ebenfalls unter ' . CleanOperations::cleanStringForHtml($pTextEbenfallsUnter) . '. ' . BR_WT;
      $result .= 'Werden keine Teilnehmerdaten angezeigt, werden die Buttons Anwesenheiten und Teilnehmer, ';
      $result .= 'sowie der Reiter Teilnehmer in den Kursdetails des Kurses ausgeblendet.' . BR_WT;
      $result .= 'Zudem werden zum Kurs PDF-Listen mit Teilnehmerdaten nicht erzeugt, es wird stattdessen eine entsprechende Meldung ausgegeben.</span>';



      $result .= '</div>' . BR_WT;

      return $result;
    }

    
    protected function _getSettings4PDFInfo($pEnableDozHatListeGedrucktButton, $pDozHatListeGeduruckt_beschriftung, $pDozHatListeGeduruckt_beschreibung, $pDozHatListeGeduruckt_email, $pDozHatListeGedruckt_uebertragungper)
    {
      $checked = ($pEnableDozHatListeGedrucktButton) ? 'checked="checked"' : '';

      
      $transferCheckedAry = array(HATLISTEGEDRUCKT_MAIL => '', HATLISTEGEDRUCKT_DMZ => '', HATLISTEGEDRUCKT_DIREKT => '');
      if (! in_array($pDozHatListeGedruckt_uebertragungper, array(HATLISTEGEDRUCKT_DMZ, HATLISTEGEDRUCKT_DIREKT))) {
        $pDozHatListeGedruckt_uebertragungper = HATLISTEGEDRUCKT_MAIL;
      }
      $transferCheckedAry[$pDozHatListeGedruckt_uebertragungper] = 'checked="checked"';

      $transferAry = array('<input id="uebertragungper_mail" type="radio" name="dozHatListeGedruckt_uebertragungper" 
                            value="' . HATLISTEGEDRUCKT_MAIL . '" ' . $transferCheckedAry[HATLISTEGEDRUCKT_MAIL] . '>
                            <label for="uebertragungper_mail">E-Mail</label>');
      if (SessionOperations::isDmzBetrieb()) {
        $transferAry[] = '<input id="uebertragungper_dmz" type="radio" name="dozHatListeGedruckt_uebertragungper" 
                           value="' . HATLISTEGEDRUCKT_DMZ . '" ' . $transferCheckedAry[HATLISTEGEDRUCKT_DMZ] . '>
                           <label for="uebertragungper_dmz">DMZ</label>';
      }
      if (! SessionOperations::isReplikat()) {
        $transferAry[] = '<input id="uebertragungper_direkt" type="radio" name="dozHatListeGedruckt_uebertragungper" 
                          value="' . HATLISTEGEDRUCKT_DIREKT . '" ' . $transferCheckedAry[HATLISTEGEDRUCKT_DIREKT] . '>
                          <label for="uebertragungper_direkt">Online</label>';
      }

      $result = '<div class="setting_pdf_gedruckt">';
      $result .= '<h4><label for="pdf_gedruckt_anzeigen">Dem Dozenten erm&ouml;glichen, die Einrichtung &uuml;ber den Druck von PDF-Listen zu informieren: </label>';
      $result .= '<input id="pdf_gedruckt_anzeigen" type="checkbox" name="enableDozHatListeGedrucktButton" ' . $checked . '></h4>';
      $result .= '<span>Falls diese Einstellung gesetzt ist, wird in den Pop-Up-Fenstern für PDF-Listen ';
      $result .= 'ein zus&auml;tzlicher Button angezeigt, mit welchem die Dozenten die Einrichtung &uuml;ber den ';
      $result .= 'Druck der jeweiligen PDF-Liste informieren kann.</span>';

      $result .= '<div class="setting_pdf_gedruckt_button">';
      $result .= '  <div class="setting_pdf_gedruckt_button_beschriftung">';
      $result .= '    <label for="pdf_gedruckt_beschriftung">Beschriftung des Buttons:</label>' . BR_WT;
      $result .= '    <input type="text" id="pdf_gedruckt_beschriftung" name="dozHatListeGeduruckt_beschriftung" value="' . CleanOperations::cleanStringForHtml($pDozHatListeGeduruckt_beschriftung) . '">';
      $result .= '  </div>';
      $result .= '  <div class="setting_pdf_gedruckt_button_beschreibung">';
      $result .= '    <label for="pdf_gedruckt_beschreibung">Beschreibung des Buttons (wird als Tooltip des Buttons angezeigt):</label>' . BR_WT;
      $result .= '    <input type="text" id="pdf_gedruckt_beschreibung" name="dozHatListeGeduruckt_beschreibung" value="' . CleanOperations::cleanStringForHtml($pDozHatListeGeduruckt_beschreibung) . '">';
      $result .= '  </div>';

      
      if (count($transferAry) > 1) {
        $result .= '<div class="setting_pdf_gedruckt_transfer">';
        $result .= '&Uuml;bermittlung der Information per: ';
        foreach ($transferAry as $transfer) {
          $result .= $transfer;
        }
        $result .= '</div>';
      }
      $result .= '  <div class="setting_pdf_gedruckt_email">';
      $result .= '    <label for="pdf_gedruckt_email">Ziel-E-Mail-Adresse: (Ist hier keine g&uuml;ltige E-Mail-Adresse angegeben, so wird die zentrale E-Mail-Adresse der KuferTools verwendet)</label>' . BR_WT;
      $result .= '    <input type="text" id="pdf_gedruckt_email" name="dozHatListeGeduruckt_email" value="' . CleanOperations::cleanStringForHtml($pDozHatListeGeduruckt_email) . '">';
      $result .= '  </div>';
      $result .= '</div>';

      $result .= '</div>';

      return $result;
    }

    
    protected function additionalSettingsForSelectionForm($pSightId)
    {
      
      if ($pSightId != 3) {
        return '';
      }
      $return = parent::additionalSettingsForSelectionForm($pSightId);
      $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_KURSUEBERSICHT_DOZ);

      $htmlFuerTextArea = HTMLOperations::CreateTextArea('sms_fusszeile_textarea', 2, 0, 0, 'sms_fusszeile_textarea', $objsettings->sms_fusszeile);

      $infoBoxCssClass = 'sms_fusszeile_infobox';
      $infoBoxTitle = 'Diese Variablen stehen Ihnen in der Fußzeile zur Verfügung';
      $infoBoxLines = array(
          'VHS:<br/>
            {%vhs_name%} = Name der Einrichtung (Zentrale Einstellungen->Allgemein) <br/>',
          'Kurs:<br/>
            {%k_kurzbez_titel%} = Titel für das Programmheft (wenn leer dann Kurzbezeichnung) <br/>
            {%k_titel%} = Titel für das Programmheft <br/>
            {%k_kurzbez%} = Kurzbezeichnung <br/>
            {%k_titel_zeile1%} = Titel für das Programmheft (nur erste Zeile) <br/>
            {%k_titel_untertitel%} = Titel für das Programmheft (alle Zeilen außer erste Zeile) <br/>
            {%k_id%} = Kursnummer <br/>
            {%k_nrab%} = Kursnummer gekürzt (in KuferSQL unter Einstellungen /Zentrale Einstellungen <br/>
            / Organisation / Darstellung der Variable Kursnummer an Stelle) <br/>',
          'Dozent:<br/>
            {%doz_name%} = Nachname <br/>
            {%doz_vorname%} = Vorname <br/>
            {%doz_namevorname%} = Name und Vorname durch Komma getrennt (Name, Vorname) <br/>
            {%doz_name_titel%} = z.B.: Dr. <br/>
            {%doz_name_vorname_ohne_komma%} = Name und Vorname durch Leerzeichen getrennt <br/>
            {%doz_vorname_name_ohne_komma%} = Vorname und Name durch Leerzeichen getrennt <br/>
            {%doz_titel_name_vorname%} = Titel, Name und Vorname durch Leerzeichen getrennt <br/>
            {%doz_titel_vorname_name%} = Titel, Vorname und Name durch Leerzeichen getrennt <br/>'
          );
      $htmlFuerInfoBox = HTMLOperations::getInfoBox($infoBoxLines, $infoBoxTitle, $infoBoxCssClass);

      $htmlFuerSmsFusszeile = '<div class="sms_fusszeile_div">' . $htmlFuerInfoBox . '<h4 class="sms_fusszeile_heading" >Fußzeile für SMS</h4>' . $htmlFuerTextArea . '</div><br/>';

      return $return . $htmlFuerSmsFusszeile;
    }

    
    protected function getSettings4ReiterHonorar($pToolId, $pSightId)
    {
      $objsettings = ToolSettingsAPI::getToolSettings($pToolId);

      return $this->getStandardEinstellFormHeader($pToolId, 'honorar_reiter', $pSightId)
                  . '<div class="honorar_reiter_settings">'
                    . '<div>'
                      . '<label for="zusatz_vertrag_anzeigen" class="bold">zusätzliche vertragliche Vereinbarungen anzeigen:</label>'
                      . HTMLOperations::CreateInputTag('zusatz_vertrag_anzeigen', 'checkbox', 'zusatz_vertrag_anzeigen', '', 1, '', $objsettings->zusatz_vertrag_anzeigen)
                    . '</div>'
                    . '<div class="honoraranteil_settings">'
                      . '<span class="bold">nur Gesamtbetrag</span>'
                      . '<div>'
                        . '<label for="honorar_nur_gesamtbetrag" class="bold">des Honorars anzeigen:</label>'
                        . HTMLOperations::CreateInputTag('honorar_nur_gesamtbetrag', 'checkbox', 'honorar_nur_gesamtbetrag', '', 1, '', $objsettings->honorar_nur_gesamtbetrag)
                      . '</div>'
                      . '<div>'
                        . '<label for="fahrtkosten_nur_gesamtbetrag" class="bold">der Fahrtkosten anzeigen:</label>'
                        . HTMLOperations::CreateInputTag('fahrtkosten_nur_gesamtbetrag', 'checkbox', 'fahrtkosten_nur_gesamtbetrag', '', 1, '', $objsettings->fahrtkosten_nur_gesamtbetrag)
                      . '</div>'
                      . '<div>'
                        . '<label for="spesen_nur_gesamtbetrag" class="bold">der Spesen anzeigen:</label>'
                        . HTMLOperations::CreateInputTag('spesen_nur_gesamtbetrag', 'checkbox', 'spesen_nur_gesamtbetrag', '', 1, '', $objsettings->spesen_nur_gesamtbetrag)
                      . '</div>'
                    . '</div>'
                    . '<input id="speichern" type="image" title="Speichern" src="layout/button_save.gif" border="0">'
                  . '</div>'
                . '</form>';
    }

    protected function _getButtonDozText($pToolSettings)
    {
      $buttonbezeichnung = new ButtonBeschriftung_DozKursUebersicht();

      return $buttonbezeichnung->getEinstellungenHtml($pToolSettings);
    }
  }